Subject: bug#64059: Sudden unexplained error during guix pull: "channel dependency has an invalid introduction field"

From: "N. Y." <[email-masked]>
Date: Tue, 20 Jun 2023 08:07:46 +0000

I was able to pull my custom channels without error after pinning the GNU
Guix repository (https://git.savannah.gnu.org/git/guix.git) to commit
f2e98587 (21 May). The Guix CLI version for this commit was version
d884fc9e2efecfba09af4694f5a13ad7fc6f704f.

(channel
        (name 'guix)
        (url "https://git.savannah.gnu.org/git/guix.git")
        ; (branch "master")
        (commit "f2e98587ec72b5f5c2ec79956ced129350396bab")
        (introduction
          (make-channel-introduction
            "9edb3f66fd807b096b48283debdcddccfea34bad"
            (openpgp-fingerprint
              "BBB0 2DDF 2CEA F6A8 0D1D  E643 A2A0 6DF2 A33A 54FA"))))

ning@bluecoral ~/repos/guix$ guix --version
guix (GNU Guix) d884fc9e2efecfba09af4694f5a13ad7fc6f704f
Copyright (C) 2023 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

On Mon, Jun 19, 2023 at 5:21 PM N. Y. <[email-masked]> wrote:

> Hi Simon,
>
> Thanks for taking a look! The keyring branch doesn't seem empty on my end,
> though. https://github.com/ning-y/ninguix/tree/keyring
>
> Maybe it looks empty because it is an orphan branch? I always had it as an
> orphan branch though (that part never changed) and it had worked before.
>
> On Tue, Jun 20, 2023, 00:36 Simon Tournier <[email-masked]>
> wrote:
>
>> Hi,
>>
>> On Wed, 14 Jun 2023 at 01:56, "N. Y." <[email-masked]> wrote:
>>
>> > Updating channel 'ninguix' from Git repository at '
>> > https://github.com/ning-y/ninguix'...
>> >
>> /home/ning/.cache/guix/checkouts/y6rzf466if75ebhoqonk2dqs6ac5d75tvkvziqptmqvawztuphda/.guix-channel:10:4:
>> > error: channel dependency has an invalid introduction field
>>
>> [...]
>>
>> >       (channel
>> >         (name 'ninguix)
>> >         (url "https://github.com/ning-y/ninguix")
>> >         (branch "main")
>> >         (introduction
>> >           (make-channel-introduction
>> >             "3f7eb8b5064445d72649b1b27f714b86f3946a9a"
>> >             (openpgp-fingerprint
>> >               "4523 A758 035C 5177 7A8F  1E1F 2CB0 E8CD 7035 5FB7"))))
>>
>> The branch ’keyring’ seems empty, is it expected?  I mean the manual
>> reads:
>>
>>         Additionally, your channel must provide all the OpenPGP keys
>>         that were ever mentioned in .guix-authorizations, stored as .key
>>         files, which can be either binary or “ASCII-armored”. By
>>         default, those .key files are searched for in the branch named
>>         keyring but you can specify a different branch name in
>>         .guix-channel like so:
>>
>>
>> https://guix.gnu.org/manual/devel/en/guix.html#Specifying-Channel-Authorizations
>>
>> Cheers,
>> simon
>>
>